/**
 * Helper functions.
 * @module apeman-dev-commons-testing/lib/_helper
 * @private
 */

"use strict";

var colorprint = require('colorprint');

/** @lends module:apeman-dev-commons-testing/lib/_helper */
var h = {};

h.start = function () {
    colorprint.notice('Testing started...');
};

h.end = function (err) {
    if (err) {
        console.error(err);
        process.nextTick(function () {
            process.exit(1);
        });
    } else {
        colorprint.notice('...testing done!');
    }
};

module.exports = h;