apeman-dev-commons-testing
===========

[![Build Status][my_travis_badge_url]][my_travis_url]
[![Code Climate][my_codeclimate_badge_url]][my_codeclimate_url]
[![Code Coverage][my_codeclimate_coverage_badge_url]][my_codeclimate_url]
[![npm version][my_npm_budge_url]][my_npm_url]

apeman common module for testing.


Installation
------------

Install module via [npm][npm_url].

```bash
# Install as local module.
$ npm install apeman-dev-commons-testing --save
```

Usage
-----

### runNodeunit

Release a package.

```javascript
/**
 * @file Run nodeunit
 * @see https://github.com/caolan/nodeunit
 */

"use strict";

var testing = require('apeman-dev-commons-testing');
testing.runNodeunit([
    "test/*_test.js" // Run nodeunit testcases.
], {
    reporter: 'default'
}, function (err) {
    /*...*/
});


```
### runKarma

Run karma test.

```javascript
/**
 * @file Run karma
 * @see http://karma-runner.github.io/0.13/index.html
 */

"use strict";

var testing = require('apeman-dev-commons-testing');
testing.runKarma('start', 'test/karma.conf.js', {
    singleRun: true
}, function (err) {
    /*...*/
});

```

License
-------

This software is released under the [MIT License][my_license_url].


Links
-----

+ [apeman][apeman_url]
+ [karma](http://karma-runner.github.io/)
+ [nodeunit](https://github.com/caolan/nodeunit)

[npm_url]: https://www.npmjs.com/
[apeman_url]: https://github.com/apeman-repo/apeman
[my_repo_url]: https://github.com/apeman-repo/apeman-dev-commons-testing
[my_travis_url]: http://travis-ci.org/apeman-repo/apeman-dev-commons-testing
[my_travis_badge_url]: http://img.shields.io/travis/apeman-repo/apeman-dev-commons-testing.svg?style=flat
[my_license_url]: https://github.com/apeman-repo/apeman-dev-commons-testing/blob/master/LICENSE
[my_codeclimate_url]: http://codeclimate.com/github/apeman-repo/apeman-dev-commons-testing
[my_codeclimate_badge_url]: http://img.shields.io/codeclimate/github/apeman-repo/apeman-dev-commons-testing.svg?style=flat
[my_codeclimate_coverage_badge_url]: http://img.shields.io/codeclimate/coverage/github/apeman-repo/apeman-dev-commons-testing.svg?style=flat
[my_npm_url]: http://www.npmjs.org/package/apeman-dev-commons-testing
[my_npm_budge_url]: http://img.shields.io/npm/v/apeman-dev-commons-testing.svg?style=flat