#!/bin/bash

###
# Update apeman-dev-commons-testing.
###

HERE=$(cd "$(dirname $0)" && pwd)
BASE_DIR=$(cd "${HERE}/.." && pwd)

cd ${BASE_DIR}

# Re-install dependencies.
npm uninstall ape-testing argx async colorprint execcli glob jasmine-core karma karma-firefox-launcher karma-jasmine nodeunit  --save
npm install ape-testing argx async colorprint execcli glob jasmine-core karma karma-firefox-launcher karma-jasmine nodeunit  --save

# Re-install dev dependencies.
npm uninstall apeman-dev-commons-coveraging apeman-dev-commons-releasing apeman-dev-commons-reporting apeman-tmpl-contrib-official coz injectmock mkdirp  --save-dev
npm install apeman-dev-commons-coveraging apeman-dev-commons-releasing apeman-dev-commons-reporting apeman-tmpl-contrib-official coz injectmock mkdirp  --save-dev
